> For the complete documentation index, see [llms.txt](https://docs.forefront.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.forefront.ai/api-reference/fine-tuning.md).

# Fine-tuning

## Create fine-tuned model

## Create fine-tuned model

<mark style="color:green;">`POST`</mark> `https://forefront.ai/v1/fine-tunes/create`

Creates a fine-tuning job which begins the process of training a new model using the given training dataset.

#### Request Body

| Name                                              | Type    | Description                                                                                                  |
| ------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------ |
| name<mark style="color:red;">\*</mark>            | String  | The name of your fine-tuned model.                                                                           |
| baseModel<mark style="color:red;">\*</mark>       | String  | The model string of the model to fine-tune.                                                                  |
| trainingDataset<mark style="color:red;">\*</mark> | String  | The dataset string of the training data.                                                                     |
| validationDataset                                 | String  | The dataset string of the validation data.                                                                   |
| epochs                                            | Integer | The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset. |

{% tabs %}
{% tab title="200: OK Successfully started the fine-tuning job." %}

{% endtab %}
{% endtabs %}

### Example request

{% tabs %}
{% tab title="Python" %}

{% endtab %}

{% tab title="Node.js" %}

{% endtab %}

{% tab title="cURL" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.forefront.ai/api-reference/fine-tuning.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
